//
//  ViewController.m
//  ExampleApp
//
//  Created by Aleksander Popek on 24.04.2013.
//  Copyright (c) 2013 TaskWorkshop Ltd. All rights reserved.
//

#import "ViewController.h"
#import "TaskWorkshopLogger.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)generateAction:(id)sender {
    NSLog(@"Generating exception...");
    
    [self performSelector:@selector(nonExistingSelector)];
}

- (IBAction)logEventAction:(id)sender {
    NSLog(@"Generating event...");
    
    // put any data you need here
    NSDictionary *paramsDict = @{@"App version": [[NSBundle mainBundle] objectForInfoDictionaryKey:@"CFBundleShortVersionString"], // Your app version
                                 @"Bundle Identifier": [[NSBundle mainBundle] bundleIdentifier],
                                 @"iOS version": [[UIDevice currentDevice] systemVersion],
                                 @"Device model": [[UIDevice currentDevice] model]};

    [[TaskWorkshopLogger sharedClient] logEvent:@"This event was made for testing." withPlace:@"TaskWorkshop Logger ExampleApp" andParameters:paramsDict];
}

- (IBAction)removeEventsAction:(id)sender {
    NSLog(@"Removing stored events...");

    [TaskWorkshopLogger removeAllLogs];
}

- (IBAction)developersAction:(id)sender {
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString: @"https://dev.taskworkshop.com"]];
}


@end
